# Visualization
TKService
Aspect

# Aspect_TypeMap Class Reference

This class defines a TypeMap object.
.

`#include <Aspect_TypeMap.hxx>`

## Public Member Functions

Standard_EXPORT | Aspect_TypeMap ()
Standard_EXPORT void | AddEntry (const Aspect_TypeMapEntry &AnEntry)
| Adds an entry in the type map <me>. Warning: Raises BadAccess if TypeMap size is exceeded. .
Standard_EXPORT Standard_Integer | AddEntry (const Aspect_LineStyle &aStyle)
| Search an identical type style entry in the type map <me> and returns the TypeMapEntry Index if exist. Or add a new entry and returns the computed TypeMapEntry index used. .
Standard_EXPORT Standard_Integer | Size () const
| Returns the Allocated typemap Size .
Standard_EXPORT Standard_Integer | Index (const Standard_Integer aTypemapIndex) const
| Returns the TypeMapEntry.Index of the TypeMap at rank <atypemapindex> . .
Standard_EXPORT void | Dump () const
Standard_EXPORT const Aspect_TypeMapEntry & | Entry (const Standard_Integer AnIndex) const
| Returns the Type map entry with the index <anindex>. Warning: Raises BadAccess if the index less than 1 or greater than Size. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Aspect_SequenceOfTypeMapEntry | mydata

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_TypeMap::Aspect_TypeMap | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_TypeMap::AddEntry | ( | const Aspect_LineStyle & | aStyle | ) |

Standard_EXPORT void Aspect_TypeMap::AddEntry | ( | const Aspect_TypeMapEntry & | AnEntry | ) |

Standard_EXPORT void Aspect_TypeMap::Dump | ( |  | ) | const

Standard_EXPORT const Aspect_TypeMapEntry& Aspect_TypeMap::Entry | ( | const Standard_Integer | AnIndex | ) | const

Standard_EXPORT const Aspect_TypeMap::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer Aspect_TypeMap::Index | ( | const Standard_Integer | aTypemapIndex | ) | const

Standard_EXPORT Standard_Integer Aspect_TypeMap::Size | ( |  | ) | const

## Field Documentation

Aspect_SequenceOfTypeMapEntry Aspect_TypeMap::mydata `[protected]`

The documentation for this class was generated from the following file:

- Aspect_TypeMap.hxx